org.apache.pdfbox.preflight.xobject

## Class XObjPostscriptValidator

- java.lang.Object
- - org.apache.pdfbox.preflight.xobject.AbstractXObjValidator
  - - org.apache.pdfbox.preflight.xobject.XObjPostscriptValidator

All Implemented Interfaces:
  XObjectValidator

    public class XObjPostscriptValidator
    extends AbstractXObjValidator

### Field Summary

### Fields inherited from class org.apache.pdfbox.preflight.xobject.AbstractXObjValidator

`context, xobject`

### Constructor Summary

Constructors
Constructor and Description
`XObjPostscriptValidator(PreflightContext context, org.apache.pdfbox.pdmodel.graphics.PDPostScriptXObject xobj)`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected void` `checkMandatoryFields()` This method checks if required fields are present.

### Methods inherited from class org.apache.pdfbox.preflight.xobject.AbstractXObjValidator

`checkOPI, checkPostscriptXObject, checkReferenceXObject, checkSMask, validate`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### XObjPostscriptValidator

    public XObjPostscriptValidator(PreflightContext context,
                                   org.apache.pdfbox.pdmodel.graphics.PDPostScriptXObject xobj)

### Method Detail

#### checkMandatoryFields

    protected void checkMandatoryFields()

Description copied from class: `AbstractXObjValidator`
This method checks if required fields are present.

Specified by:
  `checkMandatoryFields` in class `AbstractXObjValidator`